Skip to main content

📍 Locations

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate location related data. Returns an array of properties, by default ten. Some attributes may be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get location mockdata.

Get location mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/locations
Accept: application/json

Response​

Example​

JSON
[
{
"buildingNumber": "79502",
"cardinalDirection": "South",
"city": "Devantestead",
"country": "Faroe Islands",
"countryCode": "PE",
"county": "Avon",
"direction": "Southeast",
"latitude": -21.109,
"longitude": -60.2472,
"ordinalDirection": "Northwest",
"secondaryAddress": "Suite 719",
"state": "Kansas",
"street": "Willow Street",
"streetAddress": "7619 Damaris Junctions",
"timeZone": "Pacific/Funafuti",
"zipCode": "38467"
}
]

Building Number​

JSONPower Automate
buildingNumberBuilding Number

Returns a ranbom building number. For example: 79502.

Return datatype: string

Cardinal Direction​

JSONPower Automate
cardinalDirectionCardinal Direction

Returns a random cardinal direction. For example: South.

Return datatype: string

City​

JSONPower Automate
cityCity

Returns a random city name. For example: Devantestead.

Return datatype: string

Country​

JSONPower Automate
countryCountry

Returns a random country name. For example: Faroe Islands.

Return datatype: string

Country Code​

JSONPower Automate
countryCodeCountry Code

Returns a random country code. For example: PE.

Return datatype: string

County​

JSONPower Automate
countyCounty

Returns a random county name. For example: Avon.

Return datatype: string

Direction​

JSONPower Automate
directionDirection

Returns a random direction. For example: Southeast.

Return datatype: string

Latitude​

JSONPower Automate
latitudeLatitude

Returns a random latitude coordinate. For example: -21.109.

Return datatype: number

Longitude​

JSONPower Automate
longitudeLongitude

Returns a random longitude coordinate. For example: -60.2472.

Return datatype: number

Ordinal Direction​

JSONPower Automate
ordinalDirectionOrdinal Direction

Returns a random ordinal direction. For example: Northwest.

Return datatype: string

Secondary Address​

JSONPower Automate
secondaryAddressSecondary Address

Returns a random secondary address. For example: Suite 719.

Return datatype: string

State​

JSONPower Automate
stateState

Returns a random state name. For example: Kansas.

Return datatype: string

Street​

JSONPower Automate
streetStreet

Returns a random street name. For example: Willow Street.

Return datatype: string

Street Address​

JSONPower Automate
streetAddressStreet Address

Returns a ransom street address. For example: 7619 Damaris Junctions.

Return datatype: string

Time Zone​

JSONPower Automate
timeZoneTime Zone

Returns a tandom time zone. For example: Pacific/Funafuti.

Return datatype: string

Zip Code​

JSONPower Automate
zipCodeZip Code

Returns a random zip code. For example: 38467.

Return datatype: string